import glob from 'fast-glob'
import { defineConfig } from 'vite'

import preact from '@preact/preset-vite'

export default defineConfig({
    build: {
        rollupOptions: {
            input: glob.sync('*.html'),
        },
    },
    server: {
        proxy: {
            '/api': 'http://127.0.0.1:4000/',
        },
    },
    plugins: [preact()],
})
