import { PieChart } from '../charts/PieChart.jsx'

export const PieChartWidget = ({ title, ...chart }) => {
    title = title || 'Grafico a torta'

    return (
        <>
            <div class="title">{title}</div>
            <div class="content">
                <PieChart {...chart} />
            </div>
        </>
    )
}
