package server

import (
	"git.phc.dm.unipi.it/phc/storage/database"
	"git.phc.dm.unipi.it/phc/storage/serverinfo"
)

type Server struct {
	adminSessions map[string]struct{}

	Database database.Database
	Monitor  *serverinfo.Service
}

func New(db database.Database, m *serverinfo.Service) *Server {
	return &Server{
		adminSessions: map[string]struct{}{},

		Database: db,
		Monitor:  m,
	}
}
